#ifndef PNG_IMAGEIO_H
#define PNG_IMAGEIO_H

#include <image.h>

#include <vector>
#include <string>

namespace image {

  class IMAGE_API PNGImageIO {
  public:
    static std::vector<std::string> getExtensions();
    static Image *createImage(const std::string &filename);
    static bool   saveImage(const Image &img,const std::string &filename);
  };

} // image namespace 

#endif // PNG_IMAGEIO_H
